> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search team members



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/users
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/users:
    post:
      tags:
        - Team
      summary: Search team members
      operationId: TeamController_getTeamMembers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamMemberSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchTeamMember'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    TeamMemberSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        includeExternal:
          type: boolean
          default: false
          description: Whether to include external users from other teams
    SearchTeamMember:
      type: object
      properties:
        data:
          description: Array of team member user objects
          type: array
          items:
            $ref: '#/components/schemas/TeamMemberUser'
      required:
        - data
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    TeamMemberUser:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the user
        intercomId:
          type: string
          description: Intercom customer support identifier
        createdAt:
          type: string
          description: Timestamp when the user was created
        displayName:
          type: string
          description: 'Display name: first (+ optional last) if set, otherwise email'
        email:
          type: string
          description: Email address of the user
        locked:
          type: boolean
          description: Whether the user account is locked
        isServiceAccount:
          type: boolean
          description: Whether this is a service account for team API keys
        internalRole:
          type: string
          enum:
            - ADMIN
            - ANALYST
            - VIEWER
          nullable: true
          description: Internal role for Wirespeed staff (null for regular users)
        activeTeamId:
          type: string
          description: ID of the currently active team
        parentTeamId:
          type: string
          description: ID of the parent team
        completedOnboarding:
          type: boolean
          description: Whether the user has completed onboarding
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        teamId:
          type: string
          description: Team ID the user belongs to
        autoSubscribeToNotifications:
          type: boolean
          description: Whether the user is auto subscribed to notifications
        phoneNumber:
          type: string
          description: Phone number of the user
        role:
          type: string
          enum:
            - ADMIN
            - ANALYST
            - VIEWER
          description: Role assigned to the user
        isExternal:
          type: boolean
          description: Whether this user is external to the current team
      required:
        - id
        - intercomId
        - createdAt
        - displayName
        - email
        - locked
        - isServiceAccount
        - activeTeamId
        - parentTeamId
        - completedOnboarding
        - teamId
        - autoSubscribeToNotifications
        - role
        - isExternal
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````